CN.mapIdentity() exception

2012-12-10 17:36 - Ben Leinfelder

Status: Rejected Start date: 2012-12-02

Priority: Normal Due date: 2013-01-19

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: 2013.2-Block.1.1   

Milestone: CCI-1.1.1 Story Points:  

Product Version: *   

Description

When calling in cn-dev.test environment I am seeing an error (exception annotation?):

20121210-17:26:29: [ERROR]: Invoking request method resulted in exception : public void

org.dataone.cn.rest.web.AbstractWebController.handleException(org.dataone.service.exceptions.NotFound,javax.servlet.http.HttpSe

rvletRequest,javax.servlet.http.HttpServletResponse)

[org.springframework.web.servlet.mvc.annotation.AnnotationMethodHandlerExceptionResolver]

java.lang.IllegalStateException: Unsupported argument [org.dataone.service.exceptions.NotFound] for @ExceptionHandler method:

public void

org.dataone.cn.rest.web.AbstractWebController.handleException(org.dataone.service.exceptions.NotFound,javax.servlet.http.HttpSe

rvletRequest,javax.servlet.http.HttpServletResponse)

at

org.springframework.web.servlet.mvc.annotation.AnnotationMethodHandlerExceptionResolver.resolveHandlerArguments(Annotation

MethodHandlerExceptionResolver.java:264)

at

org.springframework.web.servlet.mvc.annotation.AnnotationMethodHandlerExceptionResolver.doResolveException(AnnotationMeth

odHandlerExceptionResolver.java:135)

at

org.springframework.web.servlet.handler.AbstractHandlerExceptionResolver.resolveException(AbstractHandlerExceptionResolver.ja

va:136)

at org.springframework.web.servlet.DispatcherServlet.processHandlerException(DispatcherServlet.java:1120)

at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:944)

at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:852)

at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:882)

at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:789)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.dataone.cn.rest.filter.v1.PortalCertificateFilter.doFilter(PortalCertificateFilter.java:79)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:88)

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:76)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.dataone.cn.rest.filter.CNServiceDisableFilter.doFilter(CNServiceDisableFilter.java:84)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)

at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)

at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)

at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:769)

at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:698)
at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:891)

at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)

at java.lang.Thread.run(Thread.java:662)

History

#1 - 2012-12-11 20:34 - Robert Waltz

- Status changed from New to In Progress

#2 - 2012-12-11 22:36 - Ben Leinfelder

This does not occur when I use mn-demo-5 as the MN that calls the CN. So I guess it should be failing from my localhost, but it would be great if the

error were more informative. I think we can ignore this right now, unless you are hot on the trail of something obvious.

#3 - 2012-12-12 16:19 - Robert Waltz

Unable to replicate the issue. I will need more specific information about actions taken to produce the error.

#4 - 2012-12-12 17:43 - Robert Waltz

- Target version set to Sprint-2012.50-Block.6.4

- Due date set to 2013-01-05

- Start date set to 2012-12-02

#5 - 2013-01-08 18:18 - Robert Waltz

- Due date changed from 2013-01-05 to 2013-01-19

- Milestone changed from CCI-1.1 to CCI-1.1.1

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#6 - 2013-03-01 18:49 - Robert Waltz

- Status changed from In Progress to Rejected

Powered by TCPDF (www.tcpdf.org)

2024-04-23 2/2

http://www.tcpdf.org

